/*-
 * Copyright (C) 2001-2003 Juergen Keil.
 * Copyright (C) 2001-2003 TooLs GmbH.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by TooLs GmbH.
 * 4. The name of TooLs GmbH may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY TOOLS GMBH ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL TOOLS GMBH BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	_audioio_compat_h
#define	_audioio_compat_h	1

/*
 * Provide some backward compatibility defines for old SunOS releases.
 */

#include <sys/audioio.h>

#ifdef	AUDIO_HWFEATURE_DUPLEX
#define	AUDIOIO_HAS_REFCNT	1
#define	AUDIOIO_HAS_FEATURES	1
#define	AUDIOIO_HAVE_MODPORTS	1
#endif

#ifndef	AUDIO_CHANNELS_MONO
#define	AUDIO_CHANNELS_MONO	1
#define	AUDIO_CHANNELS_STEREO	2
#endif

#ifndef	AUDIO_PRECISION_8
#define	AUDIO_PRECISION_8	8
#define	AUDIO_PRECISION_16	16
#endif

#ifndef	AUDIO_MID_GAIN
#define	AUDIO_MID_GAIN		(AUDIO_MIN_GAIN + (AUDIO_MAX_GAIN-AUDIO_MIN_GAIN)/2)
#endif

#ifndef	AUDIO_AUX1_IN
#define	AUDIO_AUX1_IN		0x10
#define	AUDIO_AUX2_IN		0x20
#define	AUDIO_CODEC_LOOPB_IN	0x40
#endif

/*
 * new hw feature flags available since Sol8Mu6 & Sol9beta:
 * we support record & play.
 * must set these flags, otherwise sdtaudio and sdtaudiocontrol do
 * not work any more!  I provide some fallback defines here, so that
 * the driver can be compiled against old headers.
 */
#ifndef AUDIO_HWFEATURE_PLAY
#define AUDIO_HWFEATURE_PLAY    0x00000008u     /* device supports play */
#endif
#ifndef AUDIO_HWFEATURE_RECORD
#define AUDIO_HWFEATURE_RECORD  0x00000010u     /* device supports record */
#endif


#endif
